#set( $symbol_pound = '#' )
#set( $symbol_dollar = '$' )
#set( $symbol_escape = '\' )
/*
 * Copyright (C) 2005-2012 Alfresco Software Limited.
 *
 * This file is part of Alfresco
 *
 * Alfresco is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfresco is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Alfresco. If not, see <http://www.gnu.org/licenses/>.
 */
package ${package};

import java.io.IOException;
import java.util.Properties;

import ${package}.tools.BMTestRunner;

/**
 * Sample on how to run your test against a local Mongo instance.
 * This does not replace running the test in the full BM environment,
 * but allows initial debugging to take place.
 * 
 * @author Derek Hulley
 * @since 1.0
 */
public class BM000XTest
{
    public static void main(String ... args) throws IOException
    {
        // Test properties
        Properties testProperties = new Properties();
        testProperties.load(BM000XTest.class.getResourceAsStream("/default.properties"));

        // This looks odd, but we cannot allow '-' into MongoDB collection names
        // or the Mongo client becomes unusable.  The next line of code has been
        // auto-modified.
        String testNameOriginal = "${artifactId}";
        String testName = testNameOriginal;
        testName = testName.replace("alfresco-benchmark-", "");
        testName = testName.replace("-", "_");
        
        String contextFileName = (
                testNameOriginal.equals("alfresco-benchmark" + "-bm-sample") ?
                        "__artifactId__-context.xml" :
                        testNameOriginal + "-context.xml");
        
        BMTestRunner testRunner = new BMTestRunner(
                contextFileName,
                4,
                "mongodb://127.0.0.1:27017/test",
                testName, "run_" + System.currentTimeMillis(),
                testProperties);
        
        testRunner.start();
        System.out.println("Hit any key to end run.");
        try
        {
            System.in.read();
        }
        catch (Throwable e) {}
        
        testRunner.stop();
    }
}
